#pragma once
#ifndef QTWIDGETSCLASS_CIRCLESAR_H
#define QTWIDGETSCLASS_CIRCLESAR_H
#include "AllHead.h"
#include <QWidget>
#include "ui_QtWidgetsClass_CircleSAR.h"

class QtWidgetsClass_CircleSAR : public QWidget, public FEKOBase::FEKOSimulationDataparamsHandler
{
	Q_OBJECT
 
public:
	QtWidgetsClass_CircleSAR(QWidget *parent = nullptr);
	~QtWidgetsClass_CircleSAR();

public slots:
	void FEKOSimulationDataparamsChanged_slots();
public:
	void bandingsetFEKOSimulationDataparams() override;

signals:
	void OKClick();
public slots:
	void on_pushButton_OK_clicked();
private:
	Ui::QtWidgetsClass_CircleSARClass ui;
};


#endif